## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           vulkan-tools
Version:        1.3.268.0
Release:        %autorelease
Summary:        Vulkan tools

License:        Apache-2.0
URL:            https://github.com/KhronosGroup/Vulkan-Tools
Source0:        %url/archive/vulkan-sdk-%{version}.tar.gz#/Vulkan-Tools-sdk-%{version}.tar.gz       

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake3
BuildRequires:  glslang
BuildRequires:  ninja-build
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  vulkan-loader-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xcb)

Provides:       vulkan-demos%{?_isa} = %{version}-%{release}
Obsoletes:      vulkan-demos < %{version}-%{release}

%description
Vulkan tools

%prep
%autosetup -n Vulkan-Tools-vulkan-sdk-%{version} -p1


%build
%cmake3 -GNinja -DCMAKE_BUILD_TYPE=Release -DGLSLANG_INSTALL_DIR=%{_prefix}
%cmake3_build


%install
%cmake3_install

%files
%license LICENSE.txt
%doc README.md CONTRIBUTING.md
%{_bindir}/*

%changelog
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.268.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 José Expósito <jexposit@redhat.com> - 1.3.268.0-1
- update to 1.3.268.0 SDK

* Tue Sep 05 2023 Dave Airlie <airlied@redhat.com> - 1.3.261.1-1
- update sdk to 1.3.261.1

* Mon Sep 04 2023 Dave Airlie <airlied@redhat.com> - 1.3.250.0-3
- migrated to SPDX license

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.250.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 20 2023 Dave Airlie <airlied@redhat.com> - 1.3.250.0-1
- update to 1.3.250.0 sdk

* Mon Apr 24 2023 Dave Airlie <airlied@redhat.com> - 1.3.243.0-1
- update to 1.3.243.0 sdk

* Tue Jan 31 2023 Dave Airlie <airlied@redhat.com> - 1.3.239.0-1
- update to 1.3.239.0 sdk

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.231.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 1.3.231.0-1
- Update to vulkan 1.3.231.1 sdk release

* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> - 1.3.224.0-2
- Update to vulkan 1.3.231.1 sdk release

* Wed Aug 24 2022 Dave Airlie <airlied@redhat.com> - 1.3.224.0-1
- Update to 1.3.224.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.216.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Dave Airlie <airlied@redhat.com> - 1.3.216.0-1
- Update to 1.3.216.0

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> - 1.3.211.0-1
- Update to 1.3.211.0

* Wed Feb 16 2022 Dave Airlie <airlied@redhat.com> - 1.3.204.0-2
- Add missing BR.

* Tue Feb 15 2022 Dave Airlie <airlied@redhat.com> - 1.3.204.0-1
- Update to 1.3.204.0

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.198.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> - 1.2.198.0-1
- Update to 1.2.198.0

* Tue Sep 07 2021 Dave Airlie <airlied@redhat.com> - 1.2.189.0-1
- Update to 1.2.189.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.182.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 07 2021 Dave Airlie <airlied@redhat.com> - 1.2.182.0-1
- Update to 1.2.182.0

* Tue Jul 06 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.0-2
- Update to 1.2.182.0

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> - 1.2.176.0-1
- Update to 1.2.176.0

* Thu Jan 28 2021 Dave Airlie <airlied@redhat.com> - 1.2.162.0-1
- Update to 1.2.162.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.154.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Nov 03 2020 Dave Airlie <airlied@redhat.com> - 1.2.154.0-1
- Update to 1.2.154.0

* Wed Aug 05 2020 Dave Airlie <airlied@redhat.com> - 1.2.148.0-1
- Update to 1.2.148.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.135.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 06 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.2.135.0-3
- Improve compatibility with new CMake macro

* Wed Apr 22 2020 Dave Airlie <airlied@redhat.com> - 1.2.135.0-2
- fix typo in changelog

* Wed Apr 22 2020 Dave Airlie <airlied@redhat.com> - 1.2.135.0-1
- Update to 1.2.135.0

* Wed Jan 29 2020 Dave Airlie <airlied@redhat.com> - 1.2.131.1-1
- Update to 1.2.131.1

* Thu Nov 14 2019 Dave Airlie <airlied@redhat.com> - 1.1.126.0-1
- Update to 1.1.126.0

* Wed Jul 31 2019 Dave Airlie <airlied@redhat.com> - 1.1.114.0-2
- drop unneeded patch

* Wed Jul 31 2019 Dave Airlie <airlied@redhat.com> - 1.1.114.0-1
- Update to 1.1.114.0

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.108.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 25 2019 Dave Airlie <airlied@redhat.com> - 1.1.108.0-2
- add fix for compiler error

* Tue Jun 25 2019 Dave Airlie <airlied@redhat.com> - 1.1.108.0-1
- Update to 1.1.108.0

* Wed Mar 06 2019 Dave Airlie <airlied@redhat.com> - 1.1.101.0-1
- Update to 1.1.101.0

* Wed Feb 13 2019 Dave Airlie <airlied@redhat.com> - 1.1.97.0-1
- Update to 1.1.97.0

* Tue Feb 12 2019 Dave Airlie <airlied@redhat.com> - 1.1.92.0-1
- Update to 1.1.92.0 don't rename anymore, upstream changed cube app name

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.82.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Sep 18 2018 Adam Jackson <ajax@redhat.com> - 1.1.82.0-3
- BuildRequires: python3-devel for RHEL compatibility

* Tue Aug 07 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.82.0-2
- Update to 1.1.82.0

* Tue Aug 07 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.82.0-1
- Update to 1.1.82.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.77.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 1.1.77.0-4
- add BuildRequires: gcc-c++,gcc

* Wed Jun 27 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-3
- fix

* Wed Jun 27 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-2
- readd lost readme

* Tue Jun 26 2018 leigh123linux <leigh123linux@googlemail.com> - 1.1.77.0-1
- Initial import
